aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
index 4f55677..1f220ca 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -2,6 +2,18 @@
set -e
+# check for dependencies
+echo "Checking for dependencies"
+echo " oh-my-zsh..."
+if [ ! -e ~/.oh-my-zsh/lib ]; then
+ echo " not found!"
+ exit 1
+fi
+if [ ! -e ~/.oh-my-zsh/themes ]; then
+ echo " not found!"
+ exit 1
+fi
+
# template git profile
echo "enter your global git user name:"
read name